Bug 1964492 - Pick 102171: Implement support for watch initialization in P&F
Summary: Pick 102171: Implement support for watch initialization in P&F
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Abu Kashem
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-25 15:37 UTC by Abu Kashem
Modified: 2021-07-27 23:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:10:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 773 0 None open Bug 1964492: UPSTREAM: 102171: Implement support for watch initialization in P&F 2021-06-03 14:04:28 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:10:22 UTC

Description Abu Kashem 2021-05-25 15:37:22 UTC
Pick UPSTREAM PR 102171 - Implement support for watch initialization in P&F

https://github.com/kubernetes/kubernetes/pull/102171

Comment 5 Abu Kashem 2021-06-17 13:30:06 UTC
> I0617 14:44:09.547150   24817 round_trippers.go:463]     X-Kubernetes-Pf-Flowschema-Uid: 8be0f28c-e930-4351-87e0-677920e0fb00
> I0617 14:44:09.547174   24817 round_trippers.go:463]     X-Kubernetes-Pf-Prioritylevel-Uid: 6404918d-67a9-4b25-b5ed-276ef5966840

Yes, this proves that p&f is taking into account WATCH request as well.

Comment 6 Abu Kashem 2021-06-17 13:31:36 UTC
another verification step you can do is make sure other long running requests (excluding WATCH) are not included, for example if you do pods/log.

Comment 7 Ke Wang 2021-06-18 03:20:55 UTC
Talked to mifiedle@redhat.com in Slack, he will discuss with PerfScale Engineering team in meeting about the performance and long running tests. Based on Comments #3 and #4, the PR fix works fine, so move the bug VERIFIED.

Comment 9 errata-xmlrpc 2021-07-27 23:10:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.